×

INDI Library v1.9.3 Released (11 Nov 2021)

Bimonthly Stable INDI Library release introduces new drivers and fixes for existing ones. Some highlights:

ASI-290MC ZWO CCD crashing on Fedora27

  • Posts: 27
  • Thank you received: 2
Hi,

I was just about to make post for my ZWO CCD making wierd colors but I cannot even run my driver anymore.
I have rescently updated to Fedora 27 and looks like drivers do not like that.

This is my ZWO driver log dump:
2017-11-22T03:37:35: startup: /usr/bin/indiserver -v -p 7624 -m 100 -f /tmp/indififob68874bf 
2017-11-22T03:37:35: listening to port 7624 on fd 3
FIFO: start indi_asi_ccd
FIFO: Starting driver indi_asi_ccd
2017-11-22T03:37:35: Driver indi_asi_ccd: pid=17704 rfd=4 wfd=7 efd=8
2017-11-22T03:37:35: Client 5: new arrival from 127.0.0.1:59416 - welcome!
2017-11-22T03:37:35: Driver indi_asi_ccd: snooping on Telescope Simulator.EQUATORIAL_EOD_COORD
2017-11-22T03:37:35: Driver indi_asi_ccd: snooping on Focuser Simulator.ABS_ROTATOR_ANGLE
2017-11-22T03:37:35: Driver indi_asi_ccd: snooping on Telescope Simulator.TELESCOPE_INFO
2017-11-22T03:37:35: Driver indi_asi_ccd: snooping on CCD Simulator.FILTER_SLOT
2017-11-22T03:37:35: Driver indi_asi_ccd: snooping on CCD Simulator.FILTER_NAME
2017-11-22T03:37:35: Driver indi_asi_ccd: snooping on SQM.SKY_QUALITY
Child process 17704 died
 
[...]
 
2017-11-22T03:37:37: Driver indi_asi_ccd: stderr EOF
2017-11-22T03:37:37: Driver indi_asi_ccd: restart #10
2017-11-22T03:37:37: Driver indi_asi_ccd: pid=17844 rfd=4 wfd=8 efd=9
2017-11-22T03:37:37: Driver indi_asi_ccd: snooping on Telescope Simulator.EQUATORIAL_EOD_COORD
2017-11-22T03:37:37: Driver indi_asi_ccd: snooping on Focuser Simulator.ABS_ROTATOR_ANGLE
2017-11-22T03:37:37: Driver indi_asi_ccd: snooping on Telescope Simulator.TELESCOPE_INFO
2017-11-22T03:37:37: Driver indi_asi_ccd: snooping on CCD Simulator.FILTER_SLOT
2017-11-22T03:37:37: Driver indi_asi_ccd: snooping on CCD Simulator.FILTER_NAME
2017-11-22T03:37:37: Driver indi_asi_ccd: snooping on SQM.SKY_QUALITY
Child process 17844 died
2017-11-22T03:37:37: Driver indi_asi_ccd: stderr EOF
2017-11-22T03:37:37: Driver indi_asi_ccd: Terminated after #10 restarts.


Any suggestions?

Thanks!
Last edit: 4 years 1 week ago by Albert Szostkiewicz.
4 years 1 week ago #21214

Please Log in or Create an account to join the conversation.

  • Posts: 171
  • Thank you received: 41
Which camera do you have? I cannot reproduce the crash with ASI 120MM, but this is a monochrome camera.
4 years 1 week ago #21229

Please Log in or Create an account to join the conversation.

  • Posts: 27
  • Thank you received: 2
It's ASI-290MC.

Also, after the update, some libraries are haeving problems (not sure if related?)
Last metadata expiration check: 0:10:12 ago on Wed 22 Nov 2017 08:17:33 PST.
Dependencies resolved.
 
 Problem 1: cannot install the best update candidate for package indi-eqmod-bleeding-1.6.0-2.3.x86_64
  - nothing provides libgsl.so.19()(64bit) needed by indi-eqmod-bleeding-1.6.0-4.1.x86_64
 Problem 2: cannot install the best update candidate for package indi-nexstarevo-bleeding-1.6.0-2.3.x86_64
  - nothing provides libgsl.so.19()(64bit) needed by indi-nexstarevo-bleeding-1.6.0-4.1.x86_64
 Problem 3: cannot install the best update candidate for package libapogee-3.0.3234-160.3.x86_64
  - nothing provides libboost_regex.so.1.63.0()(64bit) needed by libapogee-3.0.3234-162.1.x86_64
==============================================================================================================================================================================================================================================
 Package                                                       Arch                                        Version                                               Repository                                                              Size
==============================================================================================================================================================================================================================================
Skipping packages with broken dependencies:
 indi-eqmod-bleeding                                           x86_64                                      1.6.0-4.1                                             home_lupinix-indi_fedora-bleeding                                      113 k
 indi-nexstarevo-bleeding                                      x86_64                                      1.6.0-4.1                                             home_lupinix-indi_fedora-bleeding                                       32 k
 libapogee                                                     x86_64                                      3.0.3234-162.1                                        home_lupinix-indi_fedora-bleeding                                      501 k
 
Transaction Summary
==============================================================================================================================================================================================================================================
Skip  3 Packages
 
Nothing to do.
Complete!
4 years 1 week ago #21234

Please Log in or Create an account to join the conversation.

  • Posts: 171
  • Thank you received: 41
Are you sure that you have the Fedora 27 variant of the INDI bleeding repo? Can you paste the content of the .repo file of the repo here? You'll find it in /etc/yum.repos.d directory.
Last edit: 4 years 1 week ago by Christian.
4 years 1 week ago #21235

Please Log in or Create an account to join the conversation.

  • Posts: 27
  • Thank you received: 2
Looks like repo was dynamic:
cat /etc/yum.repos.d/lupinix-indi-bleeding.repo
[lupinix-indi-bleeding]
name=INDI and KStars for Fedora - Bleeding Edge
type=rpm-md
baseurl=http://download.opensuse.org/repositories/home:/lupinix-indi:/fedora-bleeding/Fedora_$releasever/
gpgcheck=1
gpgkey=http://download.opensuse.org/repositories/home:/lupinix-indi:/fedora-bleeding/Fedora_$releasever/repodata/repomd.xml.key
4 years 1 week ago #21237

Please Log in or Create an account to join the conversation.

  • Posts: 171
  • Thank you received: 41
Weird, from the error message above I feel that you get the Fedora 26 packages for some reason (the library versions match Fedora 26 but not 27). Can you post a list of all files in /etc/yum.repos.d ?
4 years 1 week ago #21238

Please Log in or Create an account to join the conversation.

  • Posts: 27
  • Thank you received: 2
You're right, there was something wierd i did not noticed before, I had duplicate of indi repo with name "home:lupinix-indi-bleeding.repo". I did remove it. This is what is left:
>  ls /etc/yum.repos.d/
fedora-cisco-openh264.repo
fedora-updates.repo
google-chrome.repo          
rpmfusion-free.repo          
rpmfusion-free-updates-testing.repo  
rpmfusion-nonfree-updates.repo          
sublime-text.repo
fedora.repo                 
fedora-updates-testing.repo  
lupinix-indi-bleeding.repo
rpmfusion-free-updates.repo
rpmfusion-nonfree.repo               
rpmfusion-nonfree-updates-testing.repo

I did some cleanup and reinstall on indi packages, It looks like it's pulling fc27:
>  sudo dnf reinstall \*indi\*
Last metadata expiration check: 0:04:32 ago on Wed 22 Nov 2017 08:46:43 PST.
Dependencies resolved.
==============================================================================================================================================================================================================================================
 Package                                                              Arch                                          Version                                                Repository                                                    Size
==============================================================================================================================================================================================================================================
Reinstalling:
 guice-multibindings                                                  noarch                                        4.1-8.fc27                                             fedora                                                        86 k
 indi-aagcloudwatcher-bleeding                                        x86_64                                        1.6.0-4.1                                              lupinix-indi-bleeding                                         44 k
 indi-apogee-bleeding                                                 x86_64                                        1.6.0-4.1                                              lupinix-indi-bleeding                                         42 k
 indi-asi-bleeding                                                    x86_64                                        1.6.0-4.1                                              lupinix-indi-bleeding                                        298 k
 indi-atik                                                            x86_64                                        1:1.26-1.7                                             lupinix-indi-bleeding                                        772 k
 indi-dsi-bleeding                                                    x86_64                                        1.6.0-4.1                                              lupinix-indi-bleeding                                         64 k
 indi-eqmod-bleeding                                                  x86_64                                        1.6.0-4.1                                              lupinix-indi-bleeding                                        115 k
 indi-ffmv-bleeding                                                   x86_64                                        1.6.0-4.1                                              lupinix-indi-bleeding                                         19 k
 indi-fishcamp-bleeding                                               x86_64                                        1.6.0-4.1                                              lupinix-indi-bleeding                                         22 k
 indi-fli-bleeding                                                    x86_64                                        1.6.0-4.1                                              lupinix-indi-bleeding                                         38 k
 indi-gphoto-bleeding                                                 x86_64                                        1.6.0-4.1                                              lupinix-indi-bleeding                                         65 k
 indi-gpsd-bleeding                                                   x86_64                                        1.6.0-4.1                                              lupinix-indi-bleeding                                         16 k
 indi-maxdomeii-bleeding                                              x86_64                                        1.6.0-4.1                                              lupinix-indi-bleeding                                         21 k
 indi-mi-bleeding                                                     x86_64                                        1.6.0-4.1                                              lupinix-indi-bleeding                                         62 k
 indi-nexstarevo-bleeding                                             x86_64                                        1.6.0-4.1                                              lupinix-indi-bleeding                                         33 k
 indi-qhy-bleeding                                                    x86_64                                        1.6.0-4.1                                              lupinix-indi-bleeding                                         36 k
 indi-qsi-bleeding                                                    x86_64                                        1.6.0-4.1                                              lupinix-indi-bleeding                                         31 k
 indi-sbig-bleeding                                                   x86_64                                        1.6.0-4.1                                              lupinix-indi-bleeding                                         48 k
 indi-spectracyber-bleeding                                           x86_64                                        1.6.0-4.1                                              lupinix-indi-bleeding                                         31 k
 indi-sx-bleeding                                                     x86_64                                        1.6.0-4.1                                              lupinix-indi-bleeding                                         46 k
 indi-tess-bleeding                                                   x86_64                                        1.6.0-4.1                                              lupinix-indi-bleeding                                        257 k
 libappindicator-gtk3                                                 x86_64                                        12.10.0-16.fc27                                        fedora                                                        41 k
 libindi                                                              x86_64                                        1.5.0-1.fc27                                           fedora                                                       1.1 M
 libindicator-gtk3                                                    x86_64                                        12.10.1-11.fc27                                        fedora                                                        67 k
 lupinix-indi-bleeding                                                noarch                                        1.0-176.3                                              lupinix-indi-bleeding                                        7.6 k
 
Transaction Summary
==============================================================================================================================================================================================================================================
 
Total download size: 3.3 M
Last edit: 4 years 1 week ago by Albert Szostkiewicz.
4 years 1 week ago #21239

Please Log in or Create an account to join the conversation.

  • Posts: 27
  • Thank you received: 2
> rpm -qa | grep kstars
kstars-17.08.2-2.fc27.x86_64

> rpm -qa | grep indi
indi-maxdomeii-bleeding-1.6.0-4.1.x86_64
indi-dsi-bleeding-1.6.0-4.1.x86_64
indi-sx-bleeding-1.6.0-4.1.x86_64
indi-apogee-bleeding-1.6.0-4.1.x86_64
indi-mi-bleeding-1.6.0-4.1.x86_64
indi-sbig-bleeding-1.6.0-4.1.x86_64
libappindicator-gtk3-12.10.0-16.fc27.x86_64
guice-multibindings-4.1-8.fc27.noarch
indi-fli-bleeding-1.6.0-4.1.x86_64
indi-qsi-bleeding-1.6.0-4.1.x86_64
indi-aagcloudwatcher-bleeding-1.6.0-4.1.x86_64
indi-atik-1.26-1.7.x86_64
indi-nexstarevo-bleeding-1.6.0-4.1.x86_64
indi-gpsd-bleeding-1.6.0-4.1.x86_64
indi-ffmv-bleeding-1.6.0-4.1.x86_64
indi-spectracyber-bleeding-1.6.0-4.1.x86_64
libindicator-gtk3-12.10.1-11.fc27.x86_64
indi-gphoto-bleeding-1.6.0-4.1.x86_64
indi-asi-bleeding-1.6.0-4.1.x86_64
indi-tess-bleeding-1.6.0-4.1.x86_64
indi-eqmod-bleeding-1.6.0-4.1.x86_64
libindi-1.5.0-1.fc27.x86_64
indi-fishcamp-bleeding-1.6.0-4.1.x86_64
indi-qhy-bleeding-1.6.0-4.1.x86_64
lupinix-indi-bleeding-1.0-176.3.noarch

Last edit: 4 years 1 week ago by Albert Szostkiewicz.
4 years 1 week ago #21241
Attachments:

Please Log in or Create an account to join the conversation.

  • Posts: 171
  • Thank you received: 41
OK, so now I get it. You should also do "dnf swap libindi libindi-bleeding" to get back to the bleeding edge indiserver.

Do you also want the bleeding edge kstars? If yes: dnf swap kstars kstars-bleeding
4 years 1 week ago #21242

Please Log in or Create an account to join the conversation.

  • Posts: 27
  • Thank you received: 2
> OK, so now I get it. You should also do "dnf swap libindi libindi-bleeding" to get back to the bleeding edge indiserver.
That did the trick! not crashing now! Thanks!

> Do you also want the bleeding edge kstars? If yes: dnf swap kstars kstars-bleeding
I don't think i do have, should I ?
4 years 1 week ago #21243

Please Log in or Create an account to join the conversation.

Time to create page: 0.760 seconds